﻿/* Structural styles */


/*.main_body {
    height: calc(100% - 60px); 
}*/
/*Added to make footer always bottom of page*/

.main_body {
    border: 0 none;
    float: left;
    height: auto;
    min-height: 100%;
    overflow: auto;
    position: relative;
    width: 99%;
}

.footer {
    clear: both;
    position: absolute;
    bottom: 0;
    width: 99%;
	color: Black;
	font-size:8pt; 
	text-align:center;
}

.no_show {
    display: none!important;
}

.left {
    float: left!important;
}

.right {
    float: right!important;
}

.txt_left {
    text-align: left!important;
}

.txt_right {
    text-align: right!important;
}

.top {
    vertical-align: top!important;
}

.bottom {
    vertical-align: bottom!important;
}

.hcentre {
    text-align: center!important;
}

.vcentre {
    vertical-align: middle!important;
}

.fill_width {
    width: 100%;
}

.fill_height {
    height: 100%;
}

.fill_relative {
    width: 100%;
    height: 100%;
    position: relative;
}

.clear_both {
    clear: both;
}
/* End Structural styles ----------------------------------------------------------------------*/

/* Form table */

table.table_fieldset {
    width: 100%;
}

table.table_fieldset td 
{
    vertical-align: top;
    text-align: left;
    padding: 5px 5px 5px 5px;
}

table.table_fieldset td.label,
table.table_fieldset td.adj_label {
    white-space: nowrap;
    max-width: 25%;
}

table.table_fieldset td.adj_label {
    padding-left: 10px;
}

table.table_fieldset td.value {
    font-weight: normal;
}

table.table_fieldset td.readonlylabel {
    white-space: nowrap;
    color: gray;
}

table.table_fieldset td.mandatorylabel {
    white-space: nowrap;
}

table.table_fieldset input:not([type=radio]):not([type=checkbox]):not(.dateinput), textarea {
    width: 99%; /*20em;*/
    resize: none;
}

table.table_fieldset input.dateinput {
    width: 7em;
}

table.table_fieldset input.radiobutton {
    width: 2em;
}

table.table_fieldset td.editvalue {
    text-align: left;
}

select {
    height: 1.6em;
    min-width: 5em;
}

/* End Form table --------------------------------------------------------------------------*/
 
/* use together with standard abutton class, displays icon image only as link */
.abutton-icon {
    min-width:0px; 
    background:none; 
    border:none;
    padding:0px 0px 0px 0px;
}

